News & Events

  Welcome to HP Developers' News. Here you will find the combined news of all of HP Developers' products.

 

News and Events

19 Apr 2019
TLS 1.0 / TLS 1.1 Disabled by default in FutureSmart bundle 4.7.2 and later

The FutureSmart 4.7.2 firmware release changed the default availability of TLS protocol versions. The updated security profile for FutureSmart version 4.7.2 defaults to:

  • TLS 1.2 – Enabled
  • TLS 1.0 & TLS 1.1 – Disabled

 

The new TLS protocol defaults are applied in the following circumstances:

 

Devices purchased with FutureSmart bundle 4.7.3 and later

  • Use the new TLS defaults (TLS 1.0 / 1.1 disabled)

 

Devices updated to FutureSmart bundle 4.7.2  or later from FutureSmart 3 bundles or FutureSmart 4 bundles before version 4.7.2

  • TLS settings are not updated to the new defaults and maintain their current setting.

 

Performing the following device resets on FutureSmart 4.7.2 or later devices update the TLS  settings to the new defaults, overwriting any previously configured setting

  • Format Disk
  • Partial Clean
  • Cold Reset

Important Note: HP and 3rd party solution software may have a TLS 1.0 dependency requiring TLS 1.0 to be enabled / re-enabled for installation or to function properly after installation.   Details on how to do that can be found in the document here.

Important Note: FutureSmart bundle 4.7.2 is an interim firmware release only available from HP Support.

 

The following devices will ship with FutureSmart bundle 4.7.3 which have the new TLS defaults.

  • HP LaserJet Managed MFP E72525/ 30/35
  • HP Color LaserJet Managed E77822/25/30
  • HP LaserJet Managed MFP E82540/50/60
  • HP Color LaserJet Managed MFP E87640/50/60